using System;

class Program
{
    static void Main()
    {

        string[] prvi = Console.ReadLine().Split();
        int N = int.Parse(prvi[0]);
        int L = int.Parse(prvi[1]);
        int b = 0;
        string[] a = Console.ReadLine().Split();

        while(b < N && int.Parse(a[b]) > L)
        {
            b = b + 1;
        }

        if (b == N)
        {
            Console.WriteLine("-1");
        }
        else Console.WriteLine(b + 1);
    }
}